Debian Bug report logs - #636016
ITP: goodbye -- next part after 'hello', and a packaging example

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Adam Borowski <kilobyte@angband.pl>

Date: Sat, 30 Jul 2011 10:21:02 UTC

Owned by: Adam Borowski <kilobyte@angband.pl>

Severity: wishlist

Tags: pending

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#636016; Package wnpp. (Sat, 30 Jul 2011 10:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@angband.pl>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 30 Jul 2011 10:21:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@angband.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: goodbye -- next part after 'hello', and a packaging example
Date: Sat, 30 Jul 2011 12:17:49 +0200
Package: wnpp
Severity: wishlist
Owner: Adam Borowski <kilobyte@angband.pl>

* Package name    : goodbye
  Upstream Author : myself
  Git             : git://gitorious.org/pkg-goodbye/goodbye.git
* License         : GPL
  Programming Lang: C
  Description     : next part after 'hello', and a packaging example

Using slow, bloated tools like debhelper and dpkg-dev will cost you precious
SECONDS when building your package.  Multiplied by tens of thousands of
packages Debian has, this can be a burden on archive rebuilds.  Thus, this
is a proposal and example how to get rid of that inefficiency.

Written in a Real Man(tm)'s scripting language with a JIT compiler, it's
over two orders of magnitude faster than mainstream packaging techniques.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adam Borowski <kilobyte@angband.pl>:
Bug#636016; Package wnpp. (Sat, 30 Jul 2011 10:43:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gergely Nagy <algernon@madhouse-project.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adam Borowski <kilobyte@angband.pl>. (Sat, 30 Jul 2011 10:43:38 GMT) Full text and rfc822 format available.

Message #10 received at 636016@bugs.debian.org (full text, mbox):

From: Gergely Nagy <algernon@madhouse-project.org>
To: 636016@bugs.debian.org
Subject: Re: Bug#636016: ITP: goodbye -- next part after 'hello', and a packaging example
Date: Sat, 30 Jul 2011 12:34:16 +0200
Adam Borowski <kilobyte@angband.pl> writes:

> * Package name    : goodbye
>   Git             : git://gitorious.org/pkg-goodbye/goodbye.git
> * License         : GPL
>   Programming Lang: C

Looking at the source, I believe that the programming language is not C,
but perl. Even though there's more C in the packaging, the program's
language is perl.

> Using slow, bloated tools like debhelper and dpkg-dev will cost you precious
> SECONDS when building your package.  Multiplied by tens of thousands of
> packages Debian has, this can be a burden on archive rebuilds.  Thus, this
> is a proposal and example how to get rid of that inefficiency.
>
> Written in a Real Man(tm)'s scripting language with a JIT compiler, it's
> over two orders of magnitude faster than mainstream packaging techniques.

While the effort is applaudable, I do not think it goes far enough:
packaging is serious business, complicated, time consuming, and takes a
lot of effort to keep a package well maintained.

As such, I believe it would be a good example to include the Design
Documents in the package aswell, as surely a lot of effort were put into
coming up with these best parctices, showcased under debian/.

Also, I would be interested in seeing either an object-oriented
packaging, or a functional rules file. But that might be out of scope
for this package, so... perhaps a goodbye-for-real example could be
made?

I'm willing to lend a hand in porting your excellent example from a
language invented in the 1970s to one invented in this century: clojure.

-- 
|8]




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#636016; Package wnpp. (Sat, 30 Jul 2011 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@angband.pl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 30 Jul 2011 12:39:03 GMT) Full text and rfc822 format available.

Message #15 received at 636016@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@angband.pl>
To: debian-devel@lists.debian.org, 636016@bugs.debian.org
Subject: Re: Bug#636016: ITP: goodbye -- next part after 'hello', and a packaging example
Date: Sat, 30 Jul 2011 14:36:46 +0200
On Sat, Jul 30, 2011 at 12:17:49PM +0200, Adam Borowski wrote:
> * Package name    : goodbye
>   Git             : git://gitorious.org/pkg-goodbye/goodbye.git
> 
> Using slow, bloated tools like debhelper and dpkg-dev will cost you precious
> SECONDS when building your package.  Multiplied by tens of thousands of
> packages Debian has, this can be a burden on archive rebuilds.  Thus, this
> is a proposal and example how to get rid of that inefficiency.
> 
> Written in a Real Man(tm)'s scripting language with a JIT compiler, it's
> over two orders of magnitude faster than mainstream packaging techniques.

Sorry for not linking to the .orig tarball (although there's nothing
interesting there).  Version 0.2 hushes a lintian --pedantic warning about
no upstream changelog.  We can't have such a stellar example clean with
merely the normal options :p

dget http://angband.pl/debian/pool/main/g/goodbye/goodbye_0.2-1.dsc

About suggestions for clojure and brainf*ck: really, I intended to use an
ELF object embedded in debian/rules.  The policy says it has to be an
executable makefile, but there is no requirement of it being a text file :p
Zero bytes and newlines would have to be escaped, but that's nothing new,
the tcc version already has to escape the latter.

It would satisfy the policy as long as the source would be present and used
during build -- but no one says we'd need to stay away from Ken Thompson
tricks.  There's a bunch of compilers in the archive already which do
require themselves to build.

-- 
1KB		// Yo momma uses IPv4!




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adam Borowski <kilobyte@angband.pl>:
Bug#636016; Package wnpp. (Sat, 30 Jul 2011 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adam Borowski <kilobyte@angband.pl>. (Sat, 30 Jul 2011 12:54:03 GMT) Full text and rfc822 format available.

Message #20 received at 636016@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: debian-devel@lists.debian.org
Cc: 636016@bugs.debian.org
Subject: Re: Bug#636016: ITP: goodbye -- next part after 'hello', and a packaging example
Date: Sat, 30 Jul 2011 14:51:54 +0200
[Message part 1 (text/plain, inline)]
On Sat, Jul 30, 2011 at 12:17:49PM +0200, Adam Borowski wrote:
> Using slow, bloated tools like debhelper and dpkg-dev will cost you precious
> SECONDS when building your package.  Multiplied by tens of thousands of
> packages Debian has, this can be a burden on archive rebuilds.  Thus, this
> is a proposal and example how to get rid of that inefficiency.
> 
> Written in a Real Man(tm)'s scripting language with a JIT compiler, it's
> over two orders of magnitude faster than mainstream packaging techniques.

OK, I bite (although I regret it already…).

In case you really want to upload this to the archive, can you make it
clear in the package description that the packaging practices embodied
by goodbye are just a show off of what can be done, but at the same time
that they are discouraged practices?

No matter how little the risk is, I don't think we want to risk that
people will imitate them in new packages.
-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Adam Borowski <kilobyte@angband.pl>:
Bug#636016; Package wnpp. (Mon, 27 May 2013 14:15:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Adam Borowski <kilobyte@angband.pl>. (Mon, 27 May 2013 14:15:38 GMT) Full text and rfc822 format available.

Message #25 received at 636016@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 636016@bugs.debian.org
Cc: control@bugs.debian.org
Subject: goodbye: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:17 +0200
retitle 636016 RFP: goodbye -- next part after 'hello', and a packaging example
noowner 636016
tag 636016 - pending
thanks

Hi,

This is an automatic email to change the status of goodbye back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting goodbye, please send a mail to
<control@bugs.debian.org> with:

 retitle 636016 ITP: goodbye -- next part after 'hello', and a packaging example
 owner 636016 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <636016@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: goodbye -- next part after 'hello', and a packaging example' from 'ITP: goodbye -- next part after 'hello', and a packaging example' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:39:37 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Adam Borowski <kilobyte@angband.pl>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:39:37 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: goodbye -- next part after 'hello', and a packaging example' from 'RFP: goodbye -- next part after 'hello', and a packaging example' Request was from Adam Borowski <kilobyte@angband.pl> to control@bugs.debian.org. (Mon, 15 Jul 2013 09:36:09 GMT) Full text and rfc822 format available.

Owner recorded as Adam Borowski <kilobyte@angband.pl>. Request was from Adam Borowski <kilobyte@angband.pl> to control@bugs.debian.org. (Mon, 15 Jul 2013 09:36:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Adam Borowski <kilobyte@angband.pl> to control@bugs.debian.org. (Mon, 15 Jul 2013 09:36:11 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 636016: 716905 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Mon, 15 Jul 2013 16:27:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:42:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.